@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --cream: #dbc8a2;
    --gold: #bb945b;
    --magenta: #a12243;
    --primary: #611735;
    --montserrat: "Montserrat", sans-serif;
    --text-white: #fff;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    height: auto;
    background: #fff;
    font-family: var(--montserrat);
    font-size: 1rem;
}

.selectize-input>* {
    color: #000 !important;
}

.contrMain {
    min-height: 100vh;
    display: flex;
}

.sectioncontent {
    max-height: 100vh;
    width: 100%;
}

.contrinfo {
    height: calc(100vh - 9rem);
    background: #fff;
    overflow-y: scroll;
}

/* Modificaciones del footer */
.footer {
    height: 6rem !important;
}

.contrImages__img {
    height: 2rem !important;
}

.contrImages__line {
    height: 2rem !important;
}

.headernav {
    width: 100%;
    height: 3rem;
    background: #f7f7f7;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    /* border-bottom: 1px solid #e5e5e5; */
    padding: 5px 10px;
    box-shadow: 0px 1px 3px 0px #e5e5e5;
    border-bottom-left-radius: 20px;
}

.infouser {
    display: flex;
}

.infouser__profile {
    width: 35px;
    border-radius: 50%;
}

.infouser__name {
    font-weight: 500;
}

.infouser__action {
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    cursor: pointer;
    background: none;
}

.infouser__action span {
    font-size: 23px;
}

/* Estilos CSS estadisticas */
.contrgraps {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(18rem, auto));
    grid-template-rows: 25em;
    column-gap: 1rem;
    row-gap: 1rem;
    align-items: center;
    justify-items: center;
    padding: 1rem;
}

.rowgrap {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #d8d8d8;
    border-radius: 5px;
    padding: 10px;
    flex-direction: column;
}

.rowgrap h3 {
    margin-bottom: 10px;
    color: var(--primary);
}

/* Estilos CSS eventos */
.contrForm {
    display: flex;
    width: 100%;
    gap: 2rem;
    flex-wrap: wrap;
    margin: 0rem auto;
    max-width: 35rem;
    padding: 0;
    height: 0;
    overflow: hidden;
}

.contrForm--coll {
    height: auto !important;
    width: 100%;
    padding: 2rem 0;
    max-width: 100%;
    column-gap: 1rem;
    justify-content: space-between;
}

.contrForm--pdform {
    padding: 2rem 10px;
}

.contrForm__title {
    width: 100%;
    text-align: center;
    text-transform: uppercase;
    color: var(--primary);
    margin-top: 1rem;
    font-size: 24px;
}

.contrField {
    display: flex;
    flex-direction: column;
    position: relative;
}

.contrField__input {
    height: 2.5rem;
    border-radius: 5px;
    border: 1px solid rgba(0, 0, 0, .125);
    font-size: 1rem;
    padding: 0 8px;
    font-family: inherit;
}

.contrField__textarea {
    border-radius: 5px;
    border: 1px solid rgba(0, 0, 0, .125);
    font-size: 1rem;
    font-family: inherit;
    padding: 15px 10px;
}

.contrField__input:focus,
.contrField__textarea:focus {
    outline: none;
    border: 1px solid var(--magenta);
}

.contrField__input:focus label {
    color: red !important;
}

.contrField__input--error {
    box-shadow: 0px 0px 12px 0px #a122439c;
}

.contrField__label {
    position: absolute;
    top: -10px;
    left: 10px;
    font-size: 1rem;
    background: #fff;
    padding: 0 15px;
    color: var(--primary);
    font-weight: 500;
    z-index: 2;
}

.contrField--s {
    width: calc(33.33% - 1rem) !important;
}

.contrField--m {
    width: calc(50% - 1rem) !important;
}

.contrField--l {
    width: 100%;
}

.contrField__check {
    position: relative;
    cursor: pointer;
}

.contrField__check::before {
    content: '';
    width: 100%;
    height: 100%;
    top: -2px;
    left: -2px;
    border: 2px solid var(--primary);
    position: absolute;
    border-radius: 5px;
    background-color: #fff;
    overflow: hidden;
}

.contrField__check::after {
    content: '';
    width: 9px;
    height: 9px;
    top: 100%;
    left: 2px;
    position: absolute;
    background: var(--primary);
    z-index: 1;
    opacity: 0;
}

@keyframes fadeInUp {
    from {
        top: 100%;
        opacity: 0;
    }

    to {
        top: 2px;
        opacity: 1;
    }
}

.contrField__check:checked::after {
    animation: fadeInUp 0.4s ease-in-out;
    top: 2px;
    opacity: 1;
}

.contrFiel--check {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.contrField__labelcheck {
    color: #000;
    font-weight: 600;
}

.contrField__labelcheck a {
    color: #000;
}

.contrButtons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.contrForm__button {
    width: 100%;
    height: 2.1rem;
    border: none;
    text-transform: uppercase;
    cursor: pointer;
    border-radius: 5px;
    max-width: 10rem;
    margin: 0 auto;
}

.contrForm__button--success {
    background: var(--magenta);
    color: var(--text-white);
    transition: 0.3s ease-in-out;
}

.contrForm__button--cancel {
    background: var(--gold);
    font-weight: 600;
    color: var(--text-white);
}

.contrForm__button--success:hover {
    background: var(--primary);
}

.disabled--field {
    pointer-events: none;
    opacity: 0.7;
}

.input_error {
    box-shadow: 0px 0px 10px 0px var(--magenta);
    border: none;
}

.contrField__fpage {
    width: 100%;
    height: 10rem;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
    border: 2px solid var(--magenta);
    border-radius: 5px;
    border-style: dashed;
    background-size: cover !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
}

.contrField__fpage:hover span {
    opacity: 1;
}

.contrField__fpage span {
    font-size: 3rem;
    margin-bottom: 10px;
    opacity: 0.6;
    transition: 0.3s ease-in-out;
}

.contrField__inputimage {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
    top: 0;
    left: 0;
}

.loaderFpage {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #fff;
    visibility: hidden;
}

.loaderFpage img {
    width: 4rem;
    height: 4rem;
}

.bx-fade-up {
    -webkit-animation: fade-up 3s infinite linear !important;
    animation: fade-up 3s infinite linear !important;
}

@keyframes hiddenForm {
    from {
        height: 35rem;
    }

    to {
        height: 0;
    }
}

@keyframes showForm {
    from {
        height: 0;
        visibility: hidden;
        filter: blur(5px);
    }

    to {
        height: 35rem;
        visibility: visible;
        filter: none;
    }
}

.hidden--form {
    animation: hiddenForm 0.7s ease-in-out;
    overflow: hidden;
    height: 0;
}

.show--form {
    animation: showForm 0.7s ease-in-out;
    overflow: visible;
    height: auto;
    margin: 1rem auto 3rem auto;
    min-height: calc(100vh - 14rem);
}

.hg--form {
    min-height: auto;
    margin: 2rem auto;
}

.contrEventList {
    width: 100%;
    height: auto;
    background: #ffffff;
    position: relative;
    padding: 0 1rem;
    z-index: 1;
}

.contrEventList__title {
    width: 100%;
    font-family: inherit;
    text-transform: uppercase;
    text-align: center;
    margin: 0rem 0 1rem 0;
    color: var(--primary);
}

.tb_Fpage {
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
    box-shadow: -1px 0px 10px 0px #80808082;
}

.tb_action {
    border: none;
    padding: 5px;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.tb_action span {
    position: relative;
    top: 3px;
    font-size: 18px;
}

.tb_action--danger {
    color: #c33b3b;
    background: none;
}

.tb_action--warning {
    color: #505d70;
    background: none;
}

.cell__actions {
    width: 10rem;
    white-space: nowrap;
}

.tb_action:hover {
    filter: brightness(0.8);
}

.tb--txtcenter {
    text-align: center !important;
}

.tb--txtitalic {
    font-style: italic;
    text-align: center !important;
    text-wrap: balance;
    font-weight: 500;
}

.tb--date {
    min-width: 10rem;
    line-height: 27px;
}

.contrActions {
    width: 98%;
    height: 4rem;
    display: flex;
    justify-content: center;
    padding: 15px 0;
    border-bottom: 1px solid #dfdfdf;
    margin: 0 auto;
    gap: 2rem;
}

.contrActions__button {
    width: 100%;
    height: 2.1rem;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    max-width: 10rem;
    background: var(--magenta);
    color: var(--text-white) !important;
    font-weight: 100;
    font-size: 14px;
    transition: 03s ease-in-out;
}

.contrActions__button:hover {
    filter: brightness(0.5);
}

.contrActions__button--warning {
    background: var(--gold);
    color: var(--text-white);
}

.responsive-table {
    width: 100%;
    overflow-x: auto;
    margin: 0 auto;
    border-spacing: 0px 10px;
    font-size: 14px;
}

.responsive-table th,
.responsive-table td {
    padding: 10px 5px;
}

.responsive-table td p {
    color: var(--primary);
    font-weight: 600;
    text-transform: uppercase;
    font-size: 12px;
    width: 20rem;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.wd--txtp {
    width: auto !important;
}

.wd--txtev {
    line-height: 10px;
}

.wd--txtev strong {
    font-weight: 500;
    font-size: 13px;
    color: #4d4d4d;
    line-height: 18px;
}

.responsive-table thead tr th {
    color: #000000;
    font-weight: 600;
    text-align: left;
    border: none;
    font-size: 14px;
    text-transform: uppercase;
}

.responsive-table td:first-child {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    border-left: 1px solid #d9d7d7;
}

.responsive-table th,
.responsive-table td {
    padding: 10px 15px;
    border-top: 1px solid #d9d7d7;
    border-bottom: 1px solid #d9d7d7;
}

.responsive-table td:last-child {
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    border-right: 1px solid #d9d7d7;
    position: relative;
}

.responsive-table td:last-child::before {
    content: '';
    width: 1px;
    height: 85%;
    background: #d9d7d7;
    top: calc(50% - 42.5%);
    left: 0;
    position: absolute;
}

.responsive-table thead tr {
    box-shadow: 0px 0px 0px 0px transparent;
}

.responsive-table tr {
    border-radius: 10px;
    box-shadow: 0px 0px 5px 1px #80808029;
}

/* .responsive-table tr:nth-child(even) {
    background-color: #d5d5d5;
} */
.contrSearch {
    width: 100%;
    height: 3rem;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.contrSearch__input {
    height: 2rem;
    border-radius: 5px;
    border: 1px solid rgba(0, 0, 0, .125);
    font-size: 1rem;
    padding: 0 8px;
    font-family: inherit;
}

.contrSearch__button {
    width: 2rem;
    height: 2rem;
    margin-left: 10px;
    border: none;
    border-radius: 5px;
    font-size: 22px;
    background: var(--primary);
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.contrSearch__button:hover {
    filter: brightness(0.5);
}

.contrPagination {
    height: 6rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    min-width: 300px;
}

.contrPagination button {
    width: 2rem;
    height: 2rem;
    border: none;
    background: none;
    font-size: 1.3rem;
    position: relative;
    top: 2px;
    color: var(--primary);
    cursor: pointer;
}

.modalLoading {
    position: absolute;
    top: 0;
    left: 0;
    background: #212121e8;
    width: 100%;
    height: 100%;
    z-index: 2025;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 10px;
}

.modalLoading__logo {
    width: 9rem;
}

.modalLoading--hide {
    display: none;
    visibility: hidden;
}

@media (max-width: 1200px) {
    .responsive-table {
        max-width: 80% !important;
    }
}

@media (max-width: 767px) {
    .responsive-table thead {
        display: none;
        /* Oculta los encabezados en dispositivos móviles */
    }

    .responsive-table tr {
        margin-bottom: 0.625em;
        display: block;
        border-bottom: 2px solid #ddd;
    }

    .responsive-table td {
        display: block;
        text-align: right;
        position: relative;
        padding-left: 50%;
    }

    .responsive-table td::before {
        content: attr(data-label);
        position: absolute;
        left: 0;
        width: 50%;
        padding-left: 15px;
        font-weight: bold;
        text-align: left;
    }
}

/* Estilos del modal eliminar */
.contrmodal {
    position: absolute;
    width: 100%;
    height: 100%;
    background: #1e1e1e8a;
    z-index: 2024;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 3rem;
}

.modalinfo {
    width: 25rem;
    height: 17rem;
    background: #fff;
    border-radius: 6px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px;
}

.modalinfo__close {
    position: absolute;
    top: 0;
    right: 0;
    border: none;
    background: none;
    padding: 5px;
    cursor: pointer;
}

.modalinfo__icon {
    font-size: 4rem !important;
    color: #b91c1c;
}

.modalinfo__h3 {
    font-weight: 600;
    color: #141313;
    font-size: 1.5rem;
    margin-bottom: 1rem;
}

.modalinfo__p {
    font-size: 15px;
    font-weight: 500;
    color: #0c0c0c;
    text-align: center;
}

.modalactions {
    display: flex;
    gap: 14px;
    margin-top: 2rem;
}

.modalactions__button {
    width: auto;
    padding: 10px;
    font-size: 14px;
    border-radius: 5px;
    cursor: pointer;
    background: none;
    border: 1px solid #8080807d;
    font-weight: 600;
    color: #252349;
    transition: 0.3s ease-in-out;
}

.modalactions__button:hover {
    filter: brightness(0.8);
}

.modalactions__button--danger {
    background: #b91c1c;
    color: #fff;
    font-weight: 500;
    border: 1px solid #b91c1c;
}

.modalactions__button--done {
    background: #308f38;
    color: #fff;
    font-weight: 500;
    border: 1px solid #308f38;
}

@keyframes FadeInBottom {
    from {
        top: -10%;
    }

    to {
        top: 0%;
    }
}

.modalinfo--show {
    animation: FadeInBottom 0.7s ease-in-out;
}

.hidden--modal {
    display: none;
    visibility: hidden;
}

.modalactions--mgtp {
    margin-top: 0rem !important;
}

.modalinfo--gap1 {
    gap: 1rem;
}

.selectize-dropdown-content {
    overflow-y: auto;
    overflow-x: hidden;
    max-height: 120px !important;
    overflow-scrolling: touch;
}

/* Estilos CSS admin */

.collapsible-container {
    width: 100%;
    margin: 0 auto;
    font-family: inherit;
    padding: 1rem;
    max-width: 95%;
}

.collapsible-header {
    cursor: pointer;
    padding: 10px;
    border: 1px solid #d9d7d7cf;
    border-radius: 20px;
    box-shadow: 0px 0px 5px 1px #80808029;
    color: var(--primary);
    font-weight: 500;
    height: 40px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 10px 15px;
    gap: 10px;
}

.collapsible-content {
    max-height: 0;
    overflow: hidden;
    padding: 0 10px;
    border-top: none;
    transition: max-height 0.3s ease-out, padding 0.3s ease-out;
    margin-bottom: 15px;
}

.collapsible-content p {
    margin: 10px 0;
}

.collapsible-header span {
    text-shadow: 0px 0px 5px var(--magenta);
}

.collapsible-content.active {
    padding: 10px 20px;
    height: auto !important;
    max-height: 33rem;
    overflow-y: scroll;
    box-shadow: 0px 0px 10px 0px #80808047;
    border-radius: 15px;
}

.collapsible-content {
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.collapsible-content::-webkit-scrollbar {
    display: none;
}

.header__active {
    background: linear-gradient(45deg, var(--magenta), var(--primary));
    font-weight: 600;
    color: var(--text-white);
}